=== debian/changelog ===
fflas-ffpack (1.6.0-1) unstable; urgency=low

  * Initial release (Closes: #676946)

 -- Lifeng Sun <lifongsun@gmail.com>  Sun, 17 Jun 2012 21:23:22 +0800
