=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --with-all

override_dh_auto_build-indep:
	dh_testdir
	$(MAKE) docs_dev

%:
	dh $@  --with autotools-dev
