=== debian/watch ===
version=3

http://linalg.org/projects/fflas-ffpack .*fflas-ffpack-(.*)\.tar\.gz
