## fflas-ffpack 2.2.2

=== debian/changelog ===
fflas-ffpack (2.2.2-4) unstable; urgency=medium

  * debian/rules
    - Add -fno-strict-aliasing to CXXFLAGS; fixes FTBFS on armel.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 08 Jan 2017 13:22:58 -0500

fflas-ffpack (2.2.2-3) unstable; urgency=medium

  * Team upload.
  * Add fix_ftbfs_bigendian.patch:
    Apply patch from upstream pull request #72 to fix FTBFS
    on big endian architectures. (Closes: #840454)
  * Add patch do-not-fail-cp-INSTALL.patch:
    This file may not exist leading to FTBFS.

 -- Tobias Hansen <thansen@debian.org>  Sat, 07 Jan 2017 10:52:32 +0100

fflas-ffpack (2.2.2-2) unstable; urgency=medium

  * debian/fflas-ffpack-common.install
    - Add new checkers directory.

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 02 Sep 2016 23:31:15 -0400

fflas-ffpack (2.2.2-1) unstable; urgency=medium

  * New upstream release.
    - Builds with givaro 4.0.2 (Closes: #835759).
  * debian/control
    - Bump maximum version of libgivaro-dev in Build-Depends to 4.0.3.
    - Add pkg-config to Build-Depends.
  * debian/docs
    - Rename README to README.md.
  * debian/patches/pkg-config-bad-directive.patch
    - Refresh for new version.
  * debian/patches/skip-test-ftrsm.patch
    - New patch; skips failing test.
  * debian/rules
    - Replace --disable-{avx,sse} options to dh_auto_configure with
      --disable-simd.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 30 Aug 2016 19:29:47 -0400

fflas-ffpack (2.2.1-2) unstable; urgency=medium

  * debian/rules
    - Disable processor extensions. May be present at build but not runtime
      (Closes: #833846).

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 09 Aug 2016 08:47:36 -0400

fflas-ffpack (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Tidy packaging with wrap-and-sort.
  * debian/clean
    - New file; clean generated files.
  * debian/{compat,control}
    - Bump debhelper compatibility level to 9.
  * debian/control
    - Add myself to Uploaders.
    - Remove DM-Upload-Allowed..
    - Bump Standards-Version to 3.9.8.
    - Update Homepage and Vcs-*.
    - Update versioned dependencies on libgivaro-dev.
    - Fix typo (Closes: #745298).
  * debian/{control,rules}
    - Switch from autotools-dev to dh-autoreconf.
  * debian/copyright
    - Update Format and Source.
    - Remove files which no longer exist.
  * debian/fflas-ffpack.install
    - Install pkg-config file.
    - Install config.h.
  * debian/fflas-ffpack-common.install
    - Remove fflas-ffpack-configuration.h; file no longer exists.
    - Install fflas-ffpack/paladin directory.
  * debian/fflas-ffpack-{dev,user}-doc.lintian-overrides
    - Override embedded-javascript-library for jquery embedded by doxygen.
  * debian/patches/fix-file-path-in-doc.patch
    - Refresh for new release.
    - Add DEP3 header.
  * debian/patches/pkg-config-bad-directive.patch
    - New patch; avoid pkg-config-bad-directive Lintian error by not shipping
      all the compiler flags used when building fflas-ffpack in the pkg-config
      file.
  * debian/rules
    - Specify BLAS and LAPACK LIBS.
  * debian/tests
    - Add autopkgtest support.
  * debian/watch
    - Bump to version 4 and update download location.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 19 Jul 2016 14:44:40 -0400
