=== debian/control ===
--- 
+++ 
@@ -2,19 +2,26 @@
 Section: math
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Lifeng Sun <lifongsun@gmail.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8.0.0), autotools-dev, libgmp-dev, libblas-dev, libgivaro-dev (>= 3.7.0), libgivaro-dev (<< 3.8.0), liblapack-dev
+Uploaders: Lifeng Sun <lifongsun@gmail.com>,
+           Doug Torrance <dtorrance@piedmont.edu>
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
+               libblas-dev,
+               libgivaro-dev (<< 4.0.3),
+               libgivaro-dev (>= 4.0.1),
+               libgmp-dev,
+               liblapack-dev,
+               pkg-config
 Build-Depends-Indep: doxygen-latex, texlive-math-extra
-Standards-Version: 3.9.3
-Homepage: http://www-ljk.imag.fr/membres/Jean-Guillaume.Dumas/FFLAS/
-Vcs-Git: git://git.debian.org/git/debian-science/packages/fflas-ffpack.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/fflas-ffpack.git
+Standards-Version: 3.9.8
+Homepage: http://linbox-team.github.io/fflas-ffpack/
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/fflas-ffpack.git
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/fflas-ffpack.git
 
 Package: fflas-ffpack
 Architecture: any
 Depends: fflas-ffpack-common (= ${source:Version}), ${misc:Depends}
-Suggests: fflas-ffpack-user-doc, fflas-ffpack-dev-doc
+Suggests: fflas-ffpack-dev-doc, fflas-ffpack-user-doc
 Description: Finite field linear algebra subroutines/package
  FFLAS-FFPACK consists in the creation of a set of routines, giving
  the same tools as a set of classical Basic Linear Algebra
@@ -32,7 +39,7 @@
  other routines of higher level (such as the one in LAPACK) are also
  produced.
  .
- This package provies architecture independent header files.
+ This package provides architecture independent header files.
 
 Package: fflas-ffpack-user-doc
 Section: doc
@@ -45,7 +52,7 @@
  other routines of higher level (such as the one in LAPACK) are also
  produced.
  .
- This package provies user's documentation of FFLAS-FFPACK.
+ This package provides user's documentation of FFLAS-FFPACK.
 
 Package: fflas-ffpack-dev-doc
 Section: doc
@@ -58,4 +65,4 @@
  other routines of higher level (such as the one in LAPACK) are also
  produced.
  .
- This package provies developer's documentation of FFLAS-FFPACK.
+ This package provides developer's documentation of FFLAS-FFPACK.
