=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# needed for armel build; inspired by
# http://pkgs.fedoraproject.org/cgit/rpms/fflas-ffpack.git/commit/?id=76a0a82
export DEB_CXXFLAGS_MAINT_APPEND = -fno-strict-aliasing

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --with-all \
		--with-blas-libs="-lblas -llapack" --disable-simd

override_dh_auto_build-indep:
	dh_testdir
	$(MAKE) docs_dev

%:
	dh $@  --with autoreconf
