=== debian/tests/control ===
Tests: upstream-tests
Depends: build-essential,fflas-ffpack, libgmp-dev, libgivaro-dev, libblas-dev,
	 liblapack-dev, pkg-config
