=== debian/watch ===
version=4
https://github.com/linbox-team/fflas-ffpack/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
