## fflas-ffpack 2.3.2

=== debian/changelog ===
fflas-ffpack (2.3.2-3) unstable; urgency=medium

  * debian/compat
    - Bump debhelper compatibility level to 11.
  * debian/control
    - Bump versioned dependency on debhelper to >= 11.
    - Bump Standards-Version to 4.2.1.
  * debian/copyright
    - Remove paragraph for fflas-ffpack/utils/print-utils.h; file no longer
      exists.
  * debian/docs
    - Remove nonexistent NEWS.
  * debian/fflas-ffpack-*-doc.doc-base
    - Update paths to documentation.
  * debian/fflas-ffpack-*-doc.docs
    - Install documentation subdirectories instead of files within these
      subdirectories.  Since both documentation packages now install to
      /usr/share/fflas-ffpack, we do not want any file conflicts.
  * debian/fflas-ffpack-*-doc.lintian-overrides
    - Remove files; as of v2.5.57, lintian no longer warns when there are
      embedded jQuery libraries for Doxygen.
  * debian/patches/do-not-cp-INSTALL-or-COPYING.patch
    - Rename patch from do-not-fail-cp-INSTALL.patch.  We also do not copy
      COPYING as the extra copies resulted in extra-license-file lintian
      warnings.
  * debian/patches/fix-fgemm-check-tests.patch
    - New patch replacing skip-fgemm-check-tests.patch; fix for failing tests
      from upstream git.
  * debian/patches/fix-file-path-in-doc.patch
    - Remove patch; no longer necessary as our documentation directory
      structure matches upstream's.
  * debian/rules
    - Disable SSE and SSE2 on i386 (Closes: #907010).
    - Skip failing tests on big-endian 32-bit architectures (Closes: #902753).
    - New override_dh_installdocs target; install all docs to
      /usr/share/doc/fflas-ffpack as suggested in Debian Policy section 12.3.
  * debian/upstream/metadata
    - New DEP-12 file with citation information.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 02 Oct 2018 20:19:30 -0400

fflas-ffpack (2.3.2-2) unstable; urgency=medium

  * debian/tests/upstream-tests
    - Fix typo in test name (Closes: #902441).
    - Remove test-interfaces-c since we don't precompile the standard
      specializations.
    - Create directory needed by test-io.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 27 Jun 2018 00:57:05 -0400

fflas-ffpack (2.3.2-1) unstable; urgency=medium

  * Team upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Tue, 26 Jun 2018 11:15:09 +0200

fflas-ffpack (2.3.2-1~exp3) experimental; urgency=medium

  * Team upload.
  * Enable OpenMP, SSE and SSE2.
  * Depend on latest givaro revision.

 -- Tobias Hansen <thansen@debian.org>  Wed, 06 Jun 2018 15:06:43 +0200

fflas-ffpack (2.3.2-1~exp2) experimental; urgency=medium

  * debian/control
    - Add libgivaro-dev (>= 4.0.3) to Depends (Closes: #894905).
    - Add note about the versioned dependency to help avoid this mistake
      in the future.
    - Bump Standards-Version to 4.1.4.
  * debian/rules
    - Replace the --disable-simd configure option, which has been removed,
      with options to disable each individual instruction set.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 05 Apr 2018 09:31:18 -0400

fflas-ffpack (2.3.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/compat
    - Bump debhelper compatibility level to 10.
  * debian/control
    - Update Vcs-* after migration to Salsa.
    - Bump versioned dependency on debhelper to >= 10.
    - Remove dh-autoreconf from Build-Depends; automatic with
      debhelper 10.
    - Remove max versioned dependency on libgivaro-dev and bump
      min to 4.0.3.
    - Bump Standards-Version to 4.1.3.
  * debian/fflas-ffpack*.install
    - Adjust installed header files.
  * debian/patches
    - Remove patches which have been merged upstream.
    - skip-fgemm-check-tests.patch: Skip tests which fail due to
      an unresolved upstream issue.
  * debian/rules
    - Remove call to dh-autoreconf; now automatic with debhelper 10.
  * debian/tests/upstream-tests
    - Add new tests.
    - No longer need to specify path to include Mathio.h.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 10 Jan 2018 18:04:29 -0500

fflas-ffpack (2.2.2-5) unstable; urgency=medium

  * debian/control
    - Bump Standards-Version to 4.0.0.
    - Switch build dependency on texlive-math-extra to texlive-science
      (Closes: #867086).
  * debian/patches/add-include-functional-to-test-utils.h.patch
    - New patch; fixes FTBFS with GCC 7 (Closes: #853399).
  * debian/rules
    - Remove -fno-strict-aliasing from CXXFLAGS; it ended up not helping
      the armel build.
  * debian/tests/upstream-tests
    - Add new tests included in version 2.2.2.
    - Simplify by using implicit make rules.
    - Add allow-stderr to Restrictions.  The tests output logs to stderr,
      causing false positives.
    - Don't redirect stdout to /dev/null; may provide useful information.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 11 Jul 2017 07:12:49 -0400
