=== debian/control ===
--- 
+++ 
@@ -4,23 +4,27 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Lifeng Sun <lifongsun@gmail.com>,
            Doug Torrance <dtorrance@piedmont.edu>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11),
                libblas-dev,
-               libgivaro-dev (<< 4.0.3),
-               libgivaro-dev (>= 4.0.1),
+# keep libgivaro-dev versioned dependency in sync with fflas-ffpack.pc.in
+# (also in Depends)
+               libgivaro-dev (>= 4.0.4-1~exp2),
                libgmp-dev,
                liblapack-dev,
                pkg-config
-Build-Depends-Indep: doxygen-latex, texlive-math-extra
-Standards-Version: 3.9.8
+Build-Depends-Indep: doxygen-latex, texlive-science
+Standards-Version: 4.2.1
 Homepage: http://linbox-team.github.io/fflas-ffpack/
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/fflas-ffpack.git
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/fflas-ffpack.git
+Vcs-Git: https://salsa.debian.org/science-team/fflas-ffpack.git
+Vcs-Browser: https://salsa.debian.org/science-team/fflas-ffpack
 
 Package: fflas-ffpack
 Architecture: any
-Depends: fflas-ffpack-common (= ${source:Version}), ${misc:Depends}
+Depends: fflas-ffpack-common (= ${source:Version}),
+# keep libgivaro-dev versioned dependency in sync with fflas-ffpack.pc.in
+# (also in Build-Depends)
+         libgivaro-dev (>= 4.0.4-1~exp2),
+         ${misc:Depends}
 Suggests: fflas-ffpack-dev-doc, fflas-ffpack-user-doc
 Description: Finite field linear algebra subroutines/package
  FFLAS-FFPACK consists in the creation of a set of routines, giving
