## fflas-ffpack 2.4.3

=== debian/changelog ===
fflas-ffpack (2.4.3-2) unstable; urgency=medium

  * debian/compat
    - Remove file; no longer necessary.
  * debian/control
    - Use debhelper-compat in Build-Depends and bump compatibility
      level to 13.
    - Add jdupes to Build-Depends.
    - Bump Standards-Version to 4.5.0.
    - Add Rules-Requires-Root field.
  * debian/fflas-ffpack-user-doc.examples
    - New file; install examples.
  * debian/patches/no-test-echelon.patch
    - New patch; skip failing test (Closes: #967088).
  * debian/patches/reproducible-build.patch
    - New patch; remove CXXFLAGS from fflas-ffpack-config script for
      reproducibility.
  * debian/rules
    - Remove override_dh_autoreconf target; it was patching out some
      tests that were failing on big-endian 32-bit architectures, but
      this issue was fixed upstream with the release of version 2.4.3.
    - Call jdupes after building documentation to symlink duplicate files.
  * debian/salsa-ci.yml
    - Add Salsa pipelines config file.
  * debian/tests/upstream-tests
    - Add new tests introduced in 2.4.3 and skip test-echelon.
    - Clean test directory before building tests during autopkgtest.
      If they were still present from the build, then the tests wouldn't
      build and autopkgtest would fail.
  * debian/upstream/metadata
    - Add Repository and Bug-Database fields.

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 04 Sep 2020 14:34:02 -0400

fflas-ffpack (2.4.3-1) unstable; urgency=medium

  * Team upload.

  [ Doug Torrance ]
  * debian/control
    - Remove Lifeng Sun from Uploaders (Closes: #925120).

  [ Tobias Hansen ]
  * New upstream release.
  * Remove fix-fgemm-check-tests.patch (applied upstream).
  * Build-Depend on libgivaro-dev (>= 4.1.1).

 -- Tobias Hansen <thansen@debian.org>  Wed, 11 Sep 2019 14:55:43 +0200
