=== debian/control ===
--- 
+++ 
@@ -2,28 +2,29 @@
 Section: math
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Lifeng Sun <lifongsun@gmail.com>,
-           Doug Torrance <dtorrance@piedmont.edu>
-Build-Depends: debhelper (>= 11),
+Uploaders: Doug Torrance <dtorrance@piedmont.edu>
+Build-Depends: debhelper-compat (= 13),
+               jdupes,
                libblas-dev,
 # keep libgivaro-dev versioned dependency in sync with fflas-ffpack.pc.in
 # (also in Depends)
-               libgivaro-dev (>= 4.0.4-1~exp2),
+               libgivaro-dev (>= 4.1.1),
                libgmp-dev,
                liblapack-dev,
                pkg-config
 Build-Depends-Indep: doxygen-latex, texlive-science
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: http://linbox-team.github.io/fflas-ffpack/
 Vcs-Git: https://salsa.debian.org/science-team/fflas-ffpack.git
 Vcs-Browser: https://salsa.debian.org/science-team/fflas-ffpack
+Rules-Requires-Root: no
 
 Package: fflas-ffpack
 Architecture: any
 Depends: fflas-ffpack-common (= ${source:Version}),
 # keep libgivaro-dev versioned dependency in sync with fflas-ffpack.pc.in
 # (also in Build-Depends)
-         libgivaro-dev (>= 4.0.4-1~exp2),
+         libgivaro-dev (>= 4.1.1),
          ${misc:Depends}
 Suggests: fflas-ffpack-dev-doc, fflas-ffpack-user-doc
 Description: Finite field linear algebra subroutines/package
