=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

DISABLE_INSTRUCTION_SETS = \
	--disable-sse3     \
	--disable-ssse3    \
	--disable-sse41    \
	--disable-sse42    \
	--disable-avx      \
	--disable-avx2     \
	--disable-fma      \
	--disable-fma4

ifeq ($(DEB_HOST_ARCH),i386)
DISABLE_INSTRUCTION_SETS := \
	--disable-sse      \
	--disable-sse2     \
	$(DISABLE_INSTRUCTION_SETS)
endif

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --with-all \
		--with-blas-libs="-lblas -llapack"    \
		$(DISABLE_INSTRUCTION_SETS)

override_dh_auto_build-indep:
	dh_testdir
	$(MAKE) docs_dev
	jdupes -l doc/fflas-ffpack-dev-html
	jdupes -l doc/fflas-ffpack-html

override_dh_installdocs:
	dh_installdocs --doc-main-package=fflas-ffpack -pfflas-ffpack-dev-doc
	dh_installdocs --doc-main-package=fflas-ffpack -pfflas-ffpack-user-doc
	dh_installdocs --remaining-packages

%:
	dh $@
