## fflas-ffpack 2.5.0

=== debian/changelog ===
fflas-ffpack (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * debian/gbp.conf
    - Fix debian-branch (master, not debian/master, on Salsa).
  * debian/tests/upstream-tests
    - Skip the tests that we also skip during dh_auto_test; see
      d/p/skip-failing-tests.patch.
  * debian/salsa-ci.yml
    - Stop setting RELEASE to 'experimental'.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 16 Dec 2021 06:51:49 -0500

fflas-ffpack (2.5.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/control
    - Update my email address; now a Debian Developer.
    - Update Maintainer to Debian Math Team.
    - Update Vcs-* fields (science-team -> math-team).
  * debian/copyright
    - Add myself to copyright holders for debian/*.
    - Convert leading tabs to spaces.
  * debian/gbp.conf
    - New file; set debian-branch and pristine-tar.
  * debian/patches/skip-failing-tests.patch
    - Refresh for new upstream release.
  * debian/rules
    - Remove DH_VERBOSE cruft.
  * debian/rules
    - Add --without-archnative option to configure; disables
      -march=native/-mcpu=native.

 -- Doug Torrance <dtorrance@debian.org>  Sun, 05 Dec 2021 22:41:46 -0500

fflas-ffpack (2.5.0~rc0-1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/control
    - Bump versioned dependencies on libgivaro-dev to 4.1.2.
    - Bump Standards-Version to 4.6.0.
  * debian/patches/reproducible-build.patch
    - Remove patch; applied upstream.
  * debian/patches/skip-failing-tests.patch
    - Renamed from d/p/no-test-echelon.patch; includes other failing tests
      (test-charpoly-check, test-fsytrf, and test-fsyrk).
  * debian/rules
    - Stop passing various options to configure script to disable
      instruction sets; these options have been removed upstream.
  * debian/salsa-ci.yml
    - Set RELEASE to 'experimental' for now.
  * debian/watch
    - Use @ANY_VERSION@ special string in regular expression; previously we
      only matched versions with numeric characters.
    - Add uversionmangle option to insert tilde for release candidates.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 24 Aug 2021 10:34:08 -0400
