=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: fflas-ffpack
 Section: math
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Doug Torrance <dtorrance@piedmont.edu>
+Maintainer: Debian Math Team <team+math@tracker.debian.org>
+Uploaders: Doug Torrance <dtorrance@debian.org>
 Build-Depends: debhelper-compat (= 13),
                jdupes,
                libblas-dev,
 # keep libgivaro-dev versioned dependency in sync with fflas-ffpack.pc.in
 # (also in Depends)
-               libgivaro-dev (>= 4.1.1),
+               libgivaro-dev (>= 4.1.2~),
                libgmp-dev,
                liblapack-dev,
                pkg-config
 Build-Depends-Indep: doxygen-latex, texlive-science
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: http://linbox-team.github.io/fflas-ffpack/
-Vcs-Git: https://salsa.debian.org/science-team/fflas-ffpack.git
-Vcs-Browser: https://salsa.debian.org/science-team/fflas-ffpack
+Vcs-Git: https://salsa.debian.org/math-team/fflas-ffpack.git
+Vcs-Browser: https://salsa.debian.org/math-team/fflas-ffpack
 Rules-Requires-Root: no
 
 Package: fflas-ffpack
@@ -24,7 +24,7 @@
 Depends: fflas-ffpack-common (= ${source:Version}),
 # keep libgivaro-dev versioned dependency in sync with fflas-ffpack.pc.in
 # (also in Build-Depends)
-         libgivaro-dev (>= 4.1.1),
+         libgivaro-dev (>= 4.1.2~),
          ${misc:Depends}
 Suggests: fflas-ffpack-dev-doc, fflas-ffpack-user-doc
 Description: Finite field linear algebra subroutines/package
