=== debian/watch ===
version=4
opts=uversionmangle=s/rc/~rc/ \
https://github.com/linbox-team/fflas-ffpack/releases \
 (?:.*?/)?v?@ANY_VERSION@\.tar\.gz
